cURL
curl --request GET \
--url https://us.infisical.com/api/v1/groups/{id}/machine-identitiesimport requests
url = "https://us.infisical.com/api/v1/groups/{id}/machine-identities"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://us.infisical.com/api/v1/groups/{id}/machine-identities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"machineIdentities": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"isPartOfGroup": true,
"joinedGroupAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Organization Groups
List Group Machine Identities
GET
/
api
/
v1
/
groups
/
{id}
/
machine-identities
cURL
Path Parameters
The ID of the group to list identities for.
Query Parameters
The offset to start from. If you enter 10, it will start from the 10th identity.
Required range:
x >= 0The number of identities to return.
Required range:
1 <= x <= 100The text string that machine identity name will be filtered by.
Whether to filter the list of returned identities. 'assignedMachineIdentities' will only return identities assigned to the group, 'nonAssignedMachineIdentities' will only return identities not assigned to the group, undefined will return all identities in the organization.
Available options:
assignedMachineIdentities, nonAssignedMachineIdentities Was this page helpful?